Bug 474515 - Service network restart crashes
Summary: Service network restart crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network
Version: 5.2
Hardware: i386
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Harald Hoyer
QA Contact: Branislav Blaškovič
URL:
Whiteboard:
Depends On:
Blocks: 1049888
TreeView+ depends on / blocked
 
Reported: 2008-12-04 09:03 UTC by Marcel van Zoggel
Modified: 2014-09-16 00:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to a bug in the GUI handling, the system-config-network service occasionally terminated unexpectedly when displaying network interfaces. The underlying source code has been modified to fix this bug and system-config-network no longer fails in the described scenario.
Clone Of:
Environment:
Last Closed: 2014-09-16 00:17:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1195 normal SHIPPED_LIVE system-config-network bug fix update 2014-09-16 04:14:20 UTC

Description Marcel van Zoggel 2008-12-04 09:03:08 UTC
Description of problem:

When issue a "service network start" an exception is generated.

Version-Release number of selected component (if applicable):

RHEL 5.2 desktop

How reproducible:

Steps to Reproduce:
2 networkcards set to same IP-adres:
first:  set to "inactive" , "activate on boot: no"
second: set to "active" ,  "activate on boot: yes"
In Network config i Activated the first and Inactivated the second.
Then i issued e "servie network restart"

Actual results:

Component: system-config-network
Version: 1.3.99.10
Summary: TBb14ac185 maindialog.py:412:hydrateDevices:AttributeError: 'NoneType' object has no attribute 'clear'

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 646, in updateDevicelist
    self.hydrateDevices()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 412, in hydrateDevices
    clist.clear()
AttributeError: 'NoneType' object has no attribute 'clear'

Local variables in innermost frame:
profilelist: ProfileList.default.ActiveDevices.1=eth1
ProfileList.default.ActiveDevices.2=eth0
ProfileList.default.HostsList.1.IP=127.0.0.1
ProfileList.default.HostsList.1.Hostname=rhl2
ProfileList.default.HostsList.1.AliasList.1=localhost.localdomain
ProfileList.default.HostsList.1.AliasList.2=localhost
ProfileList.default.HostsList.2.IP=::1
ProfileList.default.HostsList.2.Hostname=localhost6.localdomain6
ProfileList.default.HostsList.2.AliasList.1=localhost6
ProfileList.default.DNS.SecondaryDNS=
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.Hostname=rhl2
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.DNS.PrimaryDNS=
ProfileList.default.Active=true
ProfileList.default.ProfileName=default

devsel: Device.AutoDNS=true
Device.Hostname=rhl2
Device.HardwareAddress=00:04:75:AE:10:0F
Device.Type=Ethernet
Device.IPv6Init=false
Device.Netmask=255.255.255.0
Device.BootProto=none
Device.Device=eth1
Device.OnBoot=false
Device.IP=192.168.1.119
Device.OnParent=false
Device.DeviceId=eth1
Device.AllowUser=false
Device.Gateway=

devicelist: DeviceList.Ethernet.eth1.AutoDNS=true
DeviceList.Ethernet.eth1.Hostname=rhl2
DeviceList.Ethernet.eth1.HardwareAddress=00:04:75:AE:10:0F
DeviceList.Ethernet.eth1.Type=Ethernet
DeviceList.Ethernet.eth1.IPv6Init=false
DeviceList.Ethernet.eth1.Netmask=255.255.255.0
DeviceList.Ethernet.eth1.BootProto=none
DeviceList.Ethernet.eth1.Device=eth1
DeviceList.Ethernet.eth1.OnBoot=false
DeviceList.Ethernet.eth1.IP=192.168.1.119
DeviceList.Ethernet.eth1.OnParent=false
DeviceList.Ethernet.eth1.DeviceId=eth1
DeviceList.Ethernet.eth1.AllowUser=false
DeviceList.Ethernet.eth1.Gateway=
DeviceList.Ethernet.eth0.AutoDNS=true
DeviceList.Ethernet.eth0.HardwareAddress=00:50:04:BF:5A:FA
DeviceList.Ethernet.eth0.Type=Ethernet
DeviceList.Ethernet.eth0.IPv6Init=true
DeviceList.Ethernet.eth0.Netmask=255.255.255.0
DeviceList.Ethernet.eth0.BootProto=none
DeviceList.Ethernet.eth0.Device=eth0
DeviceList.Ethernet.eth0.OnBoot=true
DeviceList.Ethernet.eth0.IP=192.168.1.119
DeviceList.Ethernet.eth0.OnParent=false
DeviceList.Ethernet.eth0.DeviceId=eth0
DeviceList.Ethernet.eth0.AllowUser=false
DeviceList.Ethernet.eth0.Gateway=

self: <netconfpkg.gui.maindialog.mainDialog instance at 0xb7a52c6c>
activedevicelist: ['lo']
clist: None

Comment 1 Jonathan Sargeant 2009-02-10 10:55:50 UTC
What is the status of this bug please? I have just started experiencing this bug on two of my systems when I attempt to launch System --> Administration --> Network

I have recently applied the RHN updates and now I get this message when attempting to launch the Network GUI

Component: system-config-network
Version: 1.3.99.12
Summary: TB0a0f70ae maindialog.py:602:hydrateProfiles:TypeError: sequence item not a string or unicode object

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 167, in main
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 248, in __init__
    self.hydrate()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 392, in hydrate
    self.hydrateProfiles()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 602, in hydrateProfiles
    hclist.append([host.IP, host.Hostname,
TypeError: sequence item not a string or unicode object

Local variables in innermost frame:
profilelist: ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.HostsList.1.Comment=# Do not remove the following line, or various programs
ProfileList.default.HostsList.1.isComment=true
ProfileList.default.HostsList.2.Comment=# that require network functionality will fail.
ProfileList.default.HostsList.2.isComment=true
ProfileList.default.HostsList.3.Comment=
ProfileList.default.HostsList.3.IP=127.0.0.1
ProfileList.default.HostsList.3.Hostname=bsplin13
ProfileList.default.HostsList.3.AliasList.1=localhost.localdomain
ProfileList.default.HostsList.3.AliasList.2=localhost
ProfileList.default.HostsList.4.Comment=
ProfileList.default.HostsList.4.IP=bsplin13.********.ac.uk
ProfileList.default.HostsList.5.Comment=
ProfileList.default.HostsList.5.isComment=true
ProfileList.default.HostsList.6.Comment=
ProfileList.default.HostsList.6.IP=163.1.60.113
ProfileList.default.HostsList.6.Hostname=bsplin13.********.ac.uk
ProfileList.default.HostsList.6.AliasList.1=bsplin13
ProfileList.default.DNS.SecondaryDNS=163.**.**.**
ProfileList.default.DNS.SearchList.1=*****.ac.uk
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.Hostname=bsplin13.********.ac.uk
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.DNS.PrimaryDNS=163.**.**.**
ProfileList.default.Active=true
ProfileList.default.ProfileName=default

name: Common
hclist: <gtk.CList object (GtkCList) at 0xb7a74a54>
self: <netconfpkg.gui.maindialog.mainDialog instance at 0xb7ae08ec>
host: Host.Comment=
Host.IP=bsplin13.*****.ac.uk

prof: Profile.ActiveDevices.1=eth0
Profile.HostsList.1.Comment=# Do not remove the following line, or various programs
Profile.HostsList.1.isComment=true
Profile.HostsList.2.Comment=# that require network functionality will fail.
Profile.HostsList.2.isComment=true
Profile.HostsList.3.Comment=
Profile.HostsList.3.IP=127.0.0.1
Profile.HostsList.3.Hostname=bsplin13
Profile.HostsList.3.AliasList.1=localhost.localdomain
Profile.HostsList.3.AliasList.2=localhost
Profile.HostsList.4.Comment=
Profile.HostsList.4.IP=bsplin13.*****.ac.uk
Profile.HostsList.5.Comment=
Profile.HostsList.5.isComment=true
Profile.HostsList.6.Comment=
Profile.HostsList.6.IP=163.1.60.113
Profile.HostsList.6.Hostname=bsplin13.*****.ac.uk
Profile.HostsList.6.AliasList.1=bsplin13
Profile.DNS.SecondaryDNS=163.**.**.**
Profile.DNS.SearchList.1=*****.ac.uk
Profile.DNS.Domainname=
Profile.DNS.Hostname=bsplin13.*****.ac.uk
Profile.DNS.TertiaryDNS=
Profile.DNS.PrimaryDNS=163.**.**.**
Profile.Active=true
Profile.ProfileName=default

row: 0

Comment 4 Branislav Blaškovič 2014-06-04 11:11:59 UTC
I cannot reproduce this issue with system-config-network-1.3.99.23-1.el5.

Verified.

Comment 6 errata-xmlrpc 2014-09-16 00:17:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1195.html


Note You need to log in before you can comment on or make changes to this bug.